Bug 258734 - Allow puzzle list sorting
Summary: Allow puzzle list sorting
Status: RESOLVED FIXED
Alias: None
Product: palapeli
Classification: Applications
Component: general (show other bugs)
Version: 1.1
Platform: Chakra Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stefan Majewsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-03 21:38 UTC by Adrián Chaves (Gallaecio)
Modified: 2011-03-20 20:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrián Chaves (Gallaecio) 2010-12-03 21:38:55 UTC
Version:           1.1 (KDE SC 4.5) (using KDE 4.5.80) 
OS:                Linux

In the default list of available puzzles, you can't sort them. It would be interesting being able to sort them by name or number of piezes.

Reproducible: Always
Comment 1 Maciej J . Woloszyk 2011-03-12 01:07:51 UTC
Being able to sort puzzles would be nice, but for starters I would settle for the list beeing sorted in any predictable way. For now if I add puzzle it is added at the end of the list but after I close palapeli and open it again newly added puzzle is placed in different place that doesn't seem to be related to any characteristics of the puzzle. After creating several puzzles and then closing and reopening palapeli the list looks really random for me.
Comment 2 Stefan Majewsky 2011-03-19 11:14:24 UTC
SVN commit 1225280 by majewsky:

Add sorting/filtering to Palapeli::CollectionView.

Sorting is by name currently, so bug 258734 is fulfilled only partially.

CCBUG: 258734

 M  +35 -6     file-io/collection-view.cpp  
 M  +8 -2      file-io/collection-view.h  
 M  +0 -2      window/collectionwidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1225280
Comment 3 Stefan Majewsky 2011-03-20 20:52:30 UTC
SVN commit 1225409 by majewsky:

Allow sorting by piece count.

To select the sorting key, a new button with extending menu has been
added alongside the filter bar.

BUG: 258734
DIGEST: second part of puzzle list sorting/filtering enhancements
(first part was revision 1225280 which is the more important half, but
I forgot about that new keyword there)

 M  +33 -4     collection-view.cpp  
 M  +4 -0      collection-view.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1225409
Comment 4 Stefan Majewsky 2011-03-20 20:53:09 UTC
These changes will appear in Palapeli 1.3 (kdegames 4.7).
Comment 5 Adrián Chaves (Gallaecio) 2011-03-20 20:56:41 UTC
Great!